Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ParticleSystemRendererFactory Class Reference

Abstract class definition of a factory object for ParticleSystemRenderer. More...

`#include <OgreParticleSystemRenderer.h>`

Inheritance diagram for Ogre::ParticleSystemRendererFactory:

[legend]
List of all members.

## Public Member Functions
virtual const String & | getType () const =0
| Returns the factory type.
virtual ParticleSystemRenderer * | createInstance (const String &name)=0
| Creates a new object.
virtual void | destroyInstance (ParticleSystemRenderer *)=0
| Destroys an object which was created by this factory.

## Detailed Description

Abstract class definition of a factory object for ParticleSystemRenderer.

Definition at line 116 of file OgreParticleSystemRenderer.h.

## Member Function Documentation

virtual ParticleSystemRenderer * Ogre::FactoryObj< ParticleSystemRenderer >::createInstance | ( | const String & | name | ) | `[pure virtual, inherited]`

  | Creates a new object. Parameters:
  | name | Name of the object to create
Returns: An object created by the factory. The type of the object depends on the factory. Implemented in Ogre::BillboardParticleRendererFactory.

virtual void Ogre::FactoryObj< ParticleSystemRenderer >::destroyInstance | ( | ParticleSystemRenderer * |  | ) | `[pure virtual, inherited]`

  | Destroys an object which was created by this factory. Parameters:
  | ptr | Pointer to the object to destroy
Implemented in Ogre::BillboardParticleRendererFactory.

virtual const String& Ogre::FactoryObj< ParticleSystemRenderer >::getType | ( | void |  | ) | const`[pure virtual, inherited]`

| Returns the factory type. Returns: The factory type. Implemented in Ogre::BillboardParticleRendererFactory.

The documentation for this class was generated from the following file:

- OgreParticleSystemRenderer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:43 2008